package com.engine.organization.mapper.trigger;


import org.apache.ibatis.annotations.Param;

import java.sql.Date;

/**
 * @Author dxfeng
 * @Date 2022/8/30
 * @Version V1.0
 **/
public interface GroupTriggerMapper {

    Integer getInfoValue(@Param("id") Integer id);

    Integer sumStaffNum(@Param("fdatebegin") Date fdatebegin);

    Integer countHrmResource();

    int deleteMap(@Param("fobjid") Integer fobjid, @Param("fdatebegin") Date fdatebegin);

    int updateMap(@Param("fobjid") Integer fobjid, @Param("fdatebegin") Date fdatebegin, @Param("fdate") Date fdate);
}
